org.apache.xmlbeans.impl.tool

## Class Extension

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.Extension

    public class Extension
    extends Object

An extension is a javabean that represents a SchemaCompilerExtension to be passed for callback into the XmlBeans Schema Compiler.

### Nested Class Summary

Nested Classes
`static class` `Extension.Param` A Param is just a name value pair applicable to the extension.

### Constructor Summary

Constructors
Constructor and Description
`Extension()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Extension.Param` `createParam()`
`Class<?>` `getClassName()`
`List<Extension.Param>` `getParams()`
`void` `setClassName(Class<?> className)`
`void` `setClassName(String className)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Extension

    public Extension()

### Method Detail

#### getClassName

    public Class<?> getClassName()

#### setClassName

    public void setClassName(Class<?> className)

#### setClassName

    public void setClassName(String className)
                      throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

#### getParams

    public List<Extension.Param> getParams()

#### createParam

    public Extension.Param createParam()